﻿@using System.Collections.Specialized;
@inherits Umbraco.Web.Mvc.UmbracoViewPage<ContentModels.Home>
@using ContentModels = Umbraco.Web.PublishedModels;
@Model.Value("something")
@{
    int loop1, loop2;
    NameValueCollection coll;
    
    // Load ServerVariable collection into NameValueCollection object.
    coll = Request.ServerVariables;
    // Get names of all keys into a string array.
    String[] arr1 = coll.AllKeys;
    for (loop1 = 0; loop1 < arr1.Length; loop1++)
    {
        <p>@($"Key: {arr1[loop1]}")<br></p>
        String[] arr2=coll.GetValues(arr1[loop1]);
       for (loop2 = 0; loop2 < arr2.Length; loop2++) {
        <p>@($"Value {loop2}: {Server.HtmlEncode(arr2[loop2])}")<br></p>
       }
    }
}
